Bug 656648 - Please Update Spec File to use %ghost on files in /var/run and /var/lock
Summary: Please Update Spec File to use %ghost on files in /var/run and /var/lock
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: openstack-swift
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Silas Sewell
QA Contact: Fedora Extras Quality Assurance
URL: http://lists.fedoraproject.org/piperm...
Whiteboard:
Depends On:
Blocks: 827166
TreeView+ depends on / blocked
 
Reported: 2010-11-23 23:37 UTC by Lennart Poettering
Modified: 2012-05-31 19:39 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-11-06 03:50:43 UTC
Type: ---


Attachments (Terms of Use)
[PATCH] Add systemd tmpfs support. (1.44 KB, patch)
2010-12-01 17:58 UTC, Fabian Deutsch
no flags Details | Diff

Description Lennart Poettering 2010-11-23 23:37:17 UTC
Your package openstack-swift appears to include a file in /var/run or /var/lock. With an upcoming change in Rawhide these directories will now be mounted as tmpfs. For details about this change please consult http://lists.fedoraproject.org/pipermail/devel-announce/2010-November/000726.html For your package this means that you need add %ghost to all files that are placed in either of these two directories. Please make sure to make this change in time for the F15 cycle. For details about %ghost see http://www.rpm.org/max-rpm-snapshot/s1-rpm-inside-files-list-directives.html#S3-RPM-INSIDE-FLIST-GHOST-DIRECTIVE , for more information on the F15 feature see the feature page https://fedoraproject.org/wiki/Features/var-run-tmpfs . If your package already uses %ghost on these files, feel free to close this bug report right-away. Sorry for this mass bug filing, and if you have any further questions, don't hesitate to ask on fedora-devel or ask me personally. Thank you, Lennart

Comment 1 Fabian Deutsch 2010-12-01 17:58:31 UTC
Created attachment 464072 [details]
[PATCH] Add systemd tmpfs support.


Solves RHBZ #656648.

Signed-off-by: Fabian Deutsch <fabiand@fedoraproject.org>
---
 openstack-swift.spec  |    5 +++++
 openstack-swift.tmpfs |    7 +++++++
 2 files changed, 12 insertions(+), 0 deletions(-)

Comment 2 David Nalley 2011-11-06 03:50:43 UTC
The patch attached appears to already be implemented in the spec file - I am guessing that bodhi just wasn't told this was fixed when it was done. 

Thanks!


Note You need to log in before you can comment on or make changes to this bug.